跳转到主要内容
GET
https://api.aisa.one/apis/v1/financial
/
news
获取新闻文章
curl --request GET \
  --url https://api.aisa.one/apis/v1/financial/news \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.aisa.one/apis/v1/financial/news"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.aisa.one/apis/v1/financial/news', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "news": [
    {
      "ticker": "<string>",
      "title": "<string>",
      "author": "<string>",
      "source": "<string>",
      "date": "2023-12-25",
      "url": "<string>",
      "sentiment": "<string>"
    }
  ]
}
{
  "error": "Bad Request",
  "message": "Invalid request parameters"
}
{
  "error": "Unauthorized",
  "message": "Invalid API key provided"
}
{
  "error": "Payment Required",
  "message": "This endpoint requires a paid subscription. Please upgrade your plan."
}
{
  "error": "Not Found",
  "message": "Ticker XXXX not found"
}

授权

Authorization
string
header
必填

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

查询参数

ticker
string

公司的股票代码。若查询大盘市场新闻,请省略。

limit
integer
默认值:5

要返回的新闻文章最大数量(默认值:5,最大值:10)。

必填范围: x <= 10

响应

新闻文章响应

news
object[]